Subject: Re: [PATCH v2 6/7] t5520: reduce commom lines of code

From: Johannes Sixt <[email-masked]>
Date: Sun, 3 Apr 2016 08:46:42 +0200

Am 03.04.2016 um 08:24 schrieb Mehul Jain:
> On Sun, Apr 3, 2016 at 12:20 AM, Johannes Sixt <[email-masked]> wrote:
>> Am 02.04.2016 um 19:58 schrieb Mehul Jain:
>>> +for i in --autostash --no-autostash
>>> +do
>>> +       test_expect_success "pull $i (without --rebase) is illegal" '
>>> +               test_must_fail git pull $i . copy 2>err &&
>>> +               test_i18ngrep "only valid with --rebase" err
>>> +       '
>>> +done
>>
>>
>> Hm. If the implementation of test_expect_success uses the variable, too, its
>> value is lost when the test snippet runs. Fortunately, it does not.
>>
>> You can make this code a bit more robust by using double-quotes around the
>> test code so that $i is expanded before test_expect_success is evaluated.
>
> I think that the current format is preferred over the one you suggest.
> Here[1] Junio
> has given a descriptive explanation.
>
> [1]: http://thread.gmane.org/gmane.comp.version-control.git/283350/focus=284769

Junio has a point there, of course.

In this light, I suggest that you use a more verbose variable name.

-- Hannes